// Garden Gnome Software - Skin
// Pano2VR 3.1.4/1952
// Filename: zoom.ggsk
// Generated Fri Apr 13 13:27:25 2012

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.preloadImages=function() {
		var preLoadImg=new Image();
		preLoadImg.src=basePath + 'images/button_smallzoomout__o.png';
		preLoadImg.src=basePath + 'images/button_smallzoomin__o.png';
		preLoadImg.src=basePath + 'images/button_menushow__o.png';
		preLoadImg.src=basePath + 'images/button_menuhide__o.png';
		preLoadImg.src=basePath + 'images/button_left__o.png';
		preLoadImg.src=basePath + 'images/button_right__o.png';
		preLoadImg.src=basePath + 'images/buttom_up__o.png';
		preLoadImg.src=basePath + 'images/button_down__o.png';
		preLoadImg.src=basePath + 'images/button_zoomin__o.png';
		preLoadImg.src=basePath + 'images/button_zoomout__o.png';
		preLoadImg.src=basePath + 'images/button_defaultview__o.png';
		preLoadImg.src=basePath + 'images/button_information_open__o.png';
		preLoadImg.src=basePath + 'images/button_information_close__o.png';
	}
	
	this.addSkin=function() {
		this._zoom=document.createElement('div');
		this._zoom.ggId='zoom'
		this._zoom.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 20px;';
		hs+='top:  50px;';
		hs+='width: 20px;';
		hs+='height: 140px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._zoom.setAttribute('style',hs);
		this._button_smallzoomout=document.createElement('div');
		this._button_smallzoomout.ggId='button_smallzoomout'
		this._button_smallzoomout.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_smallzoomout.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  120px;';
		hs+='width: 20px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_smallzoomout.setAttribute('style',hs);
		this._button_smallzoomout__img=document.createElement('img');
		this._button_smallzoomout__img.setAttribute('src',basePath + 'images/button_smallzoomout.png');
		this._button_smallzoomout__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_smallzoomout__img);
		this._button_smallzoomout.appendChild(this._button_smallzoomout__img);
		this._button_smallzoomout.onmouseover=function () {
			me._button_smallzoomout__img.src=basePath + 'images/button_smallzoomout__o.png';
		}
		this._button_smallzoomout.onmouseout=function () {
			me._button_smallzoomout__img.src=basePath + 'images/button_smallzoomout.png';
			me.elementMouseDown['button_smallzoomout']=false;
		}
		this._button_smallzoomout.onmousedown=function () {
			me.elementMouseDown['button_smallzoomout']=true;
		}
		this._button_smallzoomout.onmouseup=function () {
			me.elementMouseDown['button_smallzoomout']=false;
		}
		this._button_smallzoomout.ontouchend=function () {
			me.elementMouseDown['button_smallzoomout']=false;
		}
		this._zoom.appendChild(this._button_smallzoomout);
		this._bar=document.createElement('div');
		this._bar.ggId='bar'
		this._bar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._bar.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 5px;';
		hs+='top:  65px;';
		hs+='width: 10px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._bar.setAttribute('style',hs);
		this._bar__img=document.createElement('img');
		this._bar__img.setAttribute('src',basePath + 'images/bar.png');
		this._bar__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._bar__img);
		this._bar.appendChild(this._bar__img);
		this._zoom.appendChild(this._bar);
		this._zoom_bar=document.createElement('div');
		this._zoom_bar.ggId='zoom_bar'
		this._zoom_bar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom_bar.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 5px;';
		hs+='top:  20px;';
		hs+='width: 10px;';
		hs+='height: 100px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._zoom_bar.setAttribute('style',hs);
		this._zoom_bar__img=document.createElement('img');
		this._zoom_bar__img.setAttribute('src',basePath + 'images/zoom_bar.png');
		this._zoom_bar__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._zoom_bar__img);
		this._zoom_bar.appendChild(this._zoom_bar__img);
		this._zoom.appendChild(this._zoom_bar);
		this._button_smallzoomin=document.createElement('div');
		this._button_smallzoomin.ggId='button_smallzoomin'
		this._button_smallzoomin.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_smallzoomin.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 20px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_smallzoomin.setAttribute('style',hs);
		this._button_smallzoomin__img=document.createElement('img');
		this._button_smallzoomin__img.setAttribute('src',basePath + 'images/button_smallzoomin.png');
		this._button_smallzoomin__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_smallzoomin__img);
		this._button_smallzoomin.appendChild(this._button_smallzoomin__img);
		this._button_smallzoomin.onmouseover=function () {
			me._button_smallzoomin__img.src=basePath + 'images/button_smallzoomin__o.png';
		}
		this._button_smallzoomin.onmouseout=function () {
			me._button_smallzoomin__img.src=basePath + 'images/button_smallzoomin.png';
			me.elementMouseDown['button_smallzoomin']=false;
		}
		this._button_smallzoomin.onmousedown=function () {
			me.elementMouseDown['button_smallzoomin']=true;
		}
		this._button_smallzoomin.onmouseup=function () {
			me.elementMouseDown['button_smallzoomin']=false;
		}
		this._button_smallzoomin.ontouchend=function () {
			me.elementMouseDown['button_smallzoomin']=false;
		}
		this._zoom.appendChild(this._button_smallzoomin);
		this._zoom0=document.createElement('div');
		this._zoom0.ggId='zoom'
		this._zoom0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom0.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  -23px;';
		hs+='width: 18px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._zoom0.setAttribute('style',hs);
		this._zoom0.ggUpdateText=function() {
			this.innerHTML=me.player.getFov().toFixed(1);
		}
		this._zoom0.ggUpdateText();
		this._zoom.appendChild(this._zoom0);
		this.divSkin.appendChild(this._zoom);
		this._button_menushow=document.createElement('div');
		this._button_menushow.ggId='button_menushow'
		this._button_menushow.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_menushow.ggVisible=true;
		this._button_menushow.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				h=this.parentNode.offsetHeight;
				this.style.top=(-35 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: 2px;';
		hs+='top:  -35px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 100% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_menushow.setAttribute('style',hs);
		this._button_menushow__img=document.createElement('img');
		this._button_menushow__img.setAttribute('src',basePath + 'images/button_menushow.png');
		this._button_menushow__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_menushow__img);
		this._button_menushow.appendChild(this._button_menushow__img);
		this._button_menushow.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._button_menushow.style[domTransition]='none';
			} else {
				me._button_menushow.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._button_menushow.ggParameter.sx=0;me._button_menushow.ggParameter.sy=1;
			me._button_menushow.style[domTransform]=parameterToTransform(me._button_menushow.ggParameter);
			if (me.player.transitionsDisabled) {
				me._button_menuhide.style[domTransition]='none';
			} else {
				me._button_menuhide.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._button_menuhide.ggParameter.sx=1;me._button_menuhide.ggParameter.sy=1;
			me._button_menuhide.style[domTransform]=parameterToTransform(me._button_menuhide.ggParameter);
			if (me.player.transitionsDisabled) {
				me._buttons.style[domTransition]='none';
			} else {
				me._buttons.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._buttons.ggParameter.sx=1;me._buttons.ggParameter.sy=1;
			me._buttons.style[domTransform]=parameterToTransform(me._buttons.ggParameter);
		}
		this._button_menushow.onmouseover=function () {
			me._button_menushow__img.src=basePath + 'images/button_menushow__o.png';
		}
		this._button_menushow.onmouseout=function () {
			me._button_menushow__img.src=basePath + 'images/button_menushow.png';
		}
		this.divSkin.appendChild(this._button_menushow);
		this._button_menuhide=document.createElement('div');
		this._button_menuhide.ggId='button_menuhide'
		this._button_menuhide.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:1 };
		this._button_menuhide.ggVisible=true;
		this._button_menuhide.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				h=this.parentNode.offsetHeight;
				this.style.top=(-35 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: 2px;';
		hs+='top:  -35px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._button_menuhide.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_menuhide.setAttribute('style',hs);
		this._button_menuhide__img=document.createElement('img');
		this._button_menuhide__img.setAttribute('src',basePath + 'images/button_menuhide.png');
		this._button_menuhide__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_menuhide__img);
		this._button_menuhide.appendChild(this._button_menuhide__img);
		this._button_menuhide.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._button_menuhide.style[domTransition]='none';
			} else {
				me._button_menuhide.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._button_menuhide.ggParameter.sx=0;me._button_menuhide.ggParameter.sy=1;
			me._button_menuhide.style[domTransform]=parameterToTransform(me._button_menuhide.ggParameter);
			if (me.player.transitionsDisabled) {
				me._button_menushow.style[domTransition]='none';
			} else {
				me._button_menushow.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._button_menushow.ggParameter.sx=1;me._button_menushow.ggParameter.sy=1;
			me._button_menushow.style[domTransform]=parameterToTransform(me._button_menushow.ggParameter);
			if (me.player.transitionsDisabled) {
				me._buttons.style[domTransition]='none';
			} else {
				me._buttons.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._buttons.ggParameter.sx=0;me._buttons.ggParameter.sy=1;
			me._buttons.style[domTransform]=parameterToTransform(me._buttons.ggParameter);
		}
		this._button_menuhide.onmouseover=function () {
			me._button_menuhide__img.src=basePath + 'images/button_menuhide__o.png';
		}
		this._button_menuhide.onmouseout=function () {
			me._button_menuhide__img.src=basePath + 'images/button_menuhide.png';
		}
		this.divSkin.appendChild(this._button_menuhide);
		this._buttons=document.createElement('div');
		this._buttons.ggId='buttons'
		this._buttons.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:1 };
		this._buttons.ggVisible=true;
		this._buttons.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				h=this.parentNode.offsetHeight;
				this.style.top=(-35 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: 50px;';
		hs+='top:  -35px;';
		hs+='width: 256px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._buttons.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._buttons.setAttribute('style',hs);
		this._button_left=document.createElement('div');
		this._button_left.ggId='button_left'
		this._button_left.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_left.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_left.setAttribute('style',hs);
		this._button_left__img=document.createElement('img');
		this._button_left__img.setAttribute('src',basePath + 'images/button_left.png');
		this._button_left__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_left__img);
		this._button_left.appendChild(this._button_left__img);
		this._button_left.onmouseover=function () {
			me._button_left__img.src=basePath + 'images/button_left__o.png';
		}
		this._button_left.onmouseout=function () {
			me._button_left__img.src=basePath + 'images/button_left.png';
			me.elementMouseDown['button_left']=false;
		}
		this._button_left.onmousedown=function () {
			me.elementMouseDown['button_left']=true;
		}
		this._button_left.onmouseup=function () {
			me.elementMouseDown['button_left']=false;
		}
		this._button_left.ontouchend=function () {
			me.elementMouseDown['button_left']=false;
		}
		this._buttons.appendChild(this._button_left);
		this._button_right=document.createElement('div');
		this._button_right.ggId='button_right'
		this._button_right.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_right.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 32px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_right.setAttribute('style',hs);
		this._button_right__img=document.createElement('img');
		this._button_right__img.setAttribute('src',basePath + 'images/button_right.png');
		this._button_right__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_right__img);
		this._button_right.appendChild(this._button_right__img);
		this._button_right.onmouseover=function () {
			me._button_right__img.src=basePath + 'images/button_right__o.png';
		}
		this._button_right.onmouseout=function () {
			me._button_right__img.src=basePath + 'images/button_right.png';
			me.elementMouseDown['button_right']=false;
		}
		this._button_right.onmousedown=function () {
			me.elementMouseDown['button_right']=true;
		}
		this._button_right.onmouseup=function () {
			me.elementMouseDown['button_right']=false;
		}
		this._button_right.ontouchend=function () {
			me.elementMouseDown['button_right']=false;
		}
		this._buttons.appendChild(this._button_right);
		this._buttom_up=document.createElement('div');
		this._buttom_up.ggId='buttom_up'
		this._buttom_up.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._buttom_up.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 64px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._buttom_up.setAttribute('style',hs);
		this._buttom_up__img=document.createElement('img');
		this._buttom_up__img.setAttribute('src',basePath + 'images/buttom_up.png');
		this._buttom_up__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._buttom_up__img);
		this._buttom_up.appendChild(this._buttom_up__img);
		this._buttom_up.onmouseover=function () {
			me._buttom_up__img.src=basePath + 'images/buttom_up__o.png';
		}
		this._buttom_up.onmouseout=function () {
			me._buttom_up__img.src=basePath + 'images/buttom_up.png';
			me.elementMouseDown['buttom_up']=false;
		}
		this._buttom_up.onmousedown=function () {
			me.elementMouseDown['buttom_up']=true;
		}
		this._buttom_up.onmouseup=function () {
			me.elementMouseDown['buttom_up']=false;
		}
		this._buttom_up.ontouchend=function () {
			me.elementMouseDown['buttom_up']=false;
		}
		this._buttons.appendChild(this._buttom_up);
		this._button_down=document.createElement('div');
		this._button_down.ggId='button_down'
		this._button_down.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_down.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 96px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_down.setAttribute('style',hs);
		this._button_down__img=document.createElement('img');
		this._button_down__img.setAttribute('src',basePath + 'images/button_down.png');
		this._button_down__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_down__img);
		this._button_down.appendChild(this._button_down__img);
		this._button_down.onmouseover=function () {
			me._button_down__img.src=basePath + 'images/button_down__o.png';
		}
		this._button_down.onmouseout=function () {
			me._button_down__img.src=basePath + 'images/button_down.png';
			me.elementMouseDown['button_down']=false;
		}
		this._button_down.onmousedown=function () {
			me.elementMouseDown['button_down']=true;
		}
		this._button_down.onmouseup=function () {
			me.elementMouseDown['button_down']=false;
		}
		this._button_down.ontouchend=function () {
			me.elementMouseDown['button_down']=false;
		}
		this._buttons.appendChild(this._button_down);
		this._button_zoomin=document.createElement('div');
		this._button_zoomin.ggId='button_zoomin'
		this._button_zoomin.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoomin.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 128px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_zoomin.setAttribute('style',hs);
		this._button_zoomin__img=document.createElement('img');
		this._button_zoomin__img.setAttribute('src',basePath + 'images/button_zoomin.png');
		this._button_zoomin__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_zoomin__img);
		this._button_zoomin.appendChild(this._button_zoomin__img);
		this._button_zoomin.onmouseover=function () {
			me._button_zoomin__img.src=basePath + 'images/button_zoomin__o.png';
		}
		this._button_zoomin.onmouseout=function () {
			me._button_zoomin__img.src=basePath + 'images/button_zoomin.png';
			me.elementMouseDown['button_zoomin']=false;
		}
		this._button_zoomin.onmousedown=function () {
			me.elementMouseDown['button_zoomin']=true;
		}
		this._button_zoomin.onmouseup=function () {
			me.elementMouseDown['button_zoomin']=false;
		}
		this._button_zoomin.ontouchend=function () {
			me.elementMouseDown['button_zoomin']=false;
		}
		this._buttons.appendChild(this._button_zoomin);
		this._button_zoomout=document.createElement('div');
		this._button_zoomout.ggId='button_zoomout'
		this._button_zoomout.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoomout.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 160px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_zoomout.setAttribute('style',hs);
		this._button_zoomout__img=document.createElement('img');
		this._button_zoomout__img.setAttribute('src',basePath + 'images/button_zoomout.png');
		this._button_zoomout__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_zoomout__img);
		this._button_zoomout.appendChild(this._button_zoomout__img);
		this._button_zoomout.onmouseover=function () {
			me._button_zoomout__img.src=basePath + 'images/button_zoomout__o.png';
		}
		this._button_zoomout.onmouseout=function () {
			me._button_zoomout__img.src=basePath + 'images/button_zoomout.png';
			me.elementMouseDown['button_zoomout']=false;
		}
		this._button_zoomout.onmousedown=function () {
			me.elementMouseDown['button_zoomout']=true;
		}
		this._button_zoomout.onmouseup=function () {
			me.elementMouseDown['button_zoomout']=false;
		}
		this._button_zoomout.ontouchend=function () {
			me.elementMouseDown['button_zoomout']=false;
		}
		this._buttons.appendChild(this._button_zoomout);
		this._button_defaultview=document.createElement('div');
		this._button_defaultview.ggId='button_defaultview'
		this._button_defaultview.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_defaultview.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 192px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_defaultview.setAttribute('style',hs);
		this._button_defaultview__img=document.createElement('img');
		this._button_defaultview__img.setAttribute('src',basePath + 'images/button_defaultview.png');
		this._button_defaultview__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_defaultview__img);
		this._button_defaultview.appendChild(this._button_defaultview__img);
		this._button_defaultview.onclick=function () {
			me.player.moveToDefaultView(5);
		}
		this._button_defaultview.onmouseover=function () {
			me._button_defaultview__img.src=basePath + 'images/button_defaultview__o.png';
		}
		this._button_defaultview.onmouseout=function () {
			me._button_defaultview__img.src=basePath + 'images/button_defaultview.png';
		}
		this._buttons.appendChild(this._button_defaultview);
		this._button_information_open=document.createElement('div');
		this._button_information_open.ggId='button_information_open'
		this._button_information_open.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_information_open.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 224px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 100% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_information_open.setAttribute('style',hs);
		this._button_information_open__img=document.createElement('img');
		this._button_information_open__img.setAttribute('src',basePath + 'images/button_information_open.png');
		this._button_information_open__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_information_open__img);
		this._button_information_open.appendChild(this._button_information_open__img);
		this._button_information_open.onclick=function () {
			me._userdata.style[domTransition]='none';
			me._userdata.ggParameter.sx=1;me._userdata.ggParameter.sy=1;
			me._userdata.style[domTransform]=parameterToTransform(me._userdata.ggParameter);
			if (me.player.transitionsDisabled) {
				me._button_information_open.style[domTransition]='none';
			} else {
				me._button_information_open.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._button_information_open.ggParameter.sx=0;me._button_information_open.ggParameter.sy=1;
			me._button_information_open.style[domTransform]=parameterToTransform(me._button_information_open.ggParameter);
			if (me.player.transitionsDisabled) {
				me._button_information_close.style[domTransition]='none';
			} else {
				me._button_information_close.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._button_information_close.ggParameter.sx=1;me._button_information_close.ggParameter.sy=1;
			me._button_information_close.style[domTransform]=parameterToTransform(me._button_information_close.ggParameter);
		}
		this._button_information_open.onmouseover=function () {
			me._button_information_open__img.src=basePath + 'images/button_information_open__o.png';
		}
		this._button_information_open.onmouseout=function () {
			me._button_information_open__img.src=basePath + 'images/button_information_open.png';
		}
		this._buttons.appendChild(this._button_information_open);
		this._button_information_close=document.createElement('div');
		this._button_information_close.ggId='button_information_close'
		this._button_information_close.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:1 };
		this._button_information_close.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 224px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._button_information_close.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_information_close.setAttribute('style',hs);
		this._button_information_close__img=document.createElement('img');
		this._button_information_close__img.setAttribute('src',basePath + 'images/button_information_close.png');
		this._button_information_close__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._button_information_close__img);
		this._button_information_close.appendChild(this._button_information_close__img);
		this._button_information_close.onclick=function () {
			me._userdata.style[domTransition]='none';
			me._userdata.ggParameter.sx=0;me._userdata.ggParameter.sy=0;
			me._userdata.style[domTransform]=parameterToTransform(me._userdata.ggParameter);
			if (me.player.transitionsDisabled) {
				me._button_information_close.style[domTransition]='none';
			} else {
				me._button_information_close.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._button_information_close.ggParameter.sx=0;me._button_information_close.ggParameter.sy=1;
			me._button_information_close.style[domTransform]=parameterToTransform(me._button_information_close.ggParameter);
			if (me.player.transitionsDisabled) {
				me._button_information_open.style[domTransition]='none';
			} else {
				me._button_information_open.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._button_information_open.ggParameter.sx=1;me._button_information_open.ggParameter.sy=1;
			me._button_information_open.style[domTransform]=parameterToTransform(me._button_information_open.ggParameter);
		}
		this._button_information_close.onmouseover=function () {
			me._button_information_close__img.src=basePath + 'images/button_information_close__o.png';
		}
		this._button_information_close.onmouseout=function () {
			me._button_information_close__img.src=basePath + 'images/button_information_close.png';
		}
		this._buttons.appendChild(this._button_information_close);
		this.divSkin.appendChild(this._buttons);
		this._userdata=document.createElement('div');
		this._userdata.ggId='userdata'
		this._userdata.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
		this._userdata.ggVisible=true;
		this._userdata.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-111 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-101 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -111px;';
		hs+='top:  -101px;';
		hs+='width: 240px;';
		hs+='height: 140px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._userdata.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._userdata.setAttribute('style',hs);
		this._userdata.onclick=function () {
			me._userdata.style[domTransition]='none';
			me._userdata.ggParameter.sx=0;me._userdata.ggParameter.sy=0;
			me._userdata.style[domTransform]=parameterToTransform(me._userdata.ggParameter);
			if (me.player.transitionsDisabled) {
				me._button_information_close.style[domTransition]='none';
			} else {
				me._button_information_close.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._button_information_close.ggParameter.sx=0;me._button_information_close.ggParameter.sy=1;
			me._button_information_close.style[domTransform]=parameterToTransform(me._button_information_close.ggParameter);
			if (me.player.transitionsDisabled) {
				me._button_information_open.style[domTransition]='none';
			} else {
				me._button_information_open.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._button_information_open.ggParameter.sx=1;me._button_information_open.ggParameter.sy=1;
			me._button_information_open.style[domTransform]=parameterToTransform(me._button_information_open.ggParameter);
		}
		this._userdatabg=document.createElement('div');
		this._userdatabg.ggId='userdatabg'
		this._userdatabg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._userdatabg.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 238px;';
		hs+='height: 138px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0.5;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #ffffff;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='background-color: #000000;';
		this._userdatabg.setAttribute('style',hs);
		this._userdata.appendChild(this._userdatabg);
		this._title=document.createElement('div');
		this._title.ggId='title'
		this._title.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._title.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  10px;';
		hs+='width: 218px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._title.setAttribute('style',hs);
		this._title.ggUpdateText=function() {
			this.innerHTML="<b>"+me.player.userdata.title+"<\/b>";
		}
		this._title.ggUpdateText();
		this._userdata.appendChild(this._title);
		this._description=document.createElement('div');
		this._description.ggId='description'
		this._description.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._description.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  30px;';
		hs+='width: 218px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._description.setAttribute('style',hs);
		this._description.ggUpdateText=function() {
			this.innerHTML=me.player.userdata.description;
		}
		this._description.ggUpdateText();
		this._userdata.appendChild(this._description);
		this._author=document.createElement('div');
		this._author.ggId='author'
		this._author.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._author.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  50px;';
		hs+='width: 218px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._author.setAttribute('style',hs);
		this._author.ggUpdateText=function() {
			this.innerHTML=me.player.userdata.author;
		}
		this._author.ggUpdateText();
		this._userdata.appendChild(this._author);
		this._datetime=document.createElement('div');
		this._datetime.ggId='datetime'
		this._datetime.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._datetime.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  70px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._datetime.setAttribute('style',hs);
		this._datetime.ggUpdateText=function() {
			this.innerHTML=me.player.userdata.datetime;
		}
		this._datetime.ggUpdateText();
		this._userdata.appendChild(this._datetime);
		this._copyright=document.createElement('div');
		this._copyright.ggId='copyright'
		this._copyright.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._copyright.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  110px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._copyright.setAttribute('style',hs);
		this._copyright.ggUpdateText=function() {
			this.innerHTML="&#169; "+me.player.userdata.copyright;
		}
		this._copyright.ggUpdateText();
		this._userdata.appendChild(this._copyright);
		this.divSkin.appendChild(this._userdata);
		this._loading=document.createElement('div');
		this._loading.ggId='loading'
		this._loading.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading.ggVisible=true;
		this._loading.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-96 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-51 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -96px;';
		hs+='top:  -51px;';
		hs+='width: 210px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._loading.setAttribute('style',hs);
		this._loading.onclick=function () {
			me._loading.style[domTransition]='none';
			me._loading.ggParameter.sx=0;me._loading.ggParameter.sy=0;
			me._loading.style[domTransform]=parameterToTransform(me._loading.ggParameter);
		}
		this._loadingbg=document.createElement('div');
		this._loadingbg.ggId='loadingbg'
		this._loadingbg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loadingbg.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 208px;';
		hs+='height: 58px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0.5;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #ffffff;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='background-color: #000000;';
		this._loadingbg.setAttribute('style',hs);
		this._loading.appendChild(this._loadingbg);
		this._loadingtext=document.createElement('div');
		this._loadingtext.ggId='loadingtext'
		this._loadingtext.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loadingtext.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  12px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._loadingtext.setAttribute('style',hs);
		this._loadingtext.ggUpdateText=function() {
			this.innerHTML="Loading... "+(me.player.getPercentLoaded()*100.0).toFixed(0)+"%";
		}
		this._loadingtext.ggUpdateText();
		this._loading.appendChild(this._loadingtext);
		this._loadingbar=document.createElement('div');
		this._loadingbar.ggId='loadingbar'
		this._loadingbar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loadingbar.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 15px;';
		hs+='top:  35px;';
		hs+='width: 181px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #808080;';
		hs+='border-radius: 5px;';
		hs+=cssPrefix + 'border-radius: 5px;';
		hs+='background-color: #ffffff;';
		this._loadingbar.setAttribute('style',hs);
		this._loading.appendChild(this._loadingbar);
		this.divSkin.appendChild(this._loading);
		this.preloadImages();
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
			me._loading.style[domTransition]='none';
			me._loading.ggParameter.sx=0;me._loading.ggParameter.sy=0;
			me._loading.style[domTransform]=parameterToTransform(me._loading.ggParameter);
		}
		this.divSkin.ggReLoaded=function() {
			me._loading.style[domTransition]='none';
			me._loading.ggParameter.sx=1;me._loading.ggParameter.sy=1;
			me._loading.style[domTransform]=parameterToTransform(me._loading.ggParameter);
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		if (me.elementMouseDown['button_smallzoomout']) {
			me.player.changeFovLog(2,true);
		}
		var hs='';
		if (me._bar.ggParameter) {
			hs+=parameterToTransform(me._bar.ggParameter) + ' ';
		}
		hs+='translate(0px,' + (1 * me.player.getFov() + -50) + 'px) ';
		me._bar.style[domTransform]=hs;
		if (me.elementMouseDown['button_smallzoomin']) {
			me.player.changeFovLog(-2,true);
		}
		this._zoom0.ggUpdateText();
		if (me.elementMouseDown['button_left']) {
			me.player.changePan(1,true);
		}
		if (me.elementMouseDown['button_right']) {
			me.player.changePan(-1,true);
		}
		if (me.elementMouseDown['buttom_up']) {
			me.player.changeTilt(1,true);
		}
		if (me.elementMouseDown['button_down']) {
			me.player.changeTilt(-1,true);
		}
		if (me.elementMouseDown['button_zoomin']) {
			me.player.changeFovLog(-1,true);
		}
		if (me.elementMouseDown['button_zoomout']) {
			me.player.changeFovLog(1,true);
		}
		this._title.ggUpdateText();
		this._description.ggUpdateText();
		this._author.ggUpdateText();
		this._datetime.ggUpdateText();
		this._copyright.ggUpdateText();
		this._loadingtext.ggUpdateText();
		var hs='';
		if (me._loadingbar.ggParameter) {
			hs+=parameterToTransform(me._loadingbar.ggParameter) + ' ';
		}
		hs+='scale(' + (1 * me.player.getPercentLoaded() + 0) + ',1.0) ';
		me._loadingbar.style[domTransform]=hs;
	};
	this.addSkin();
};